<?php

if(!defined('XOOPS_ROOT_PATH'))exit();

require_once XOOPS_ROOT_PATH.'/modules/legacy/admin/class/ModuleInstaller.class.php';
require_once XOOPS_TRUST_PATH . '/modules/xdbmigrate/admin/class/installer/XdbmigrateInstallUtils.class.php';
class Xdbmigrate_Installer extends Legacy_ModuleInstaller
{

  function __construct() {
    parent::Legacy_ModuleInstaller();
  }

  function _installTables()
  {
    if (!Xdbmigrate_InstallUtils::installSQLAutomatically($this->_mXoopsModule, $this->mLog)){
      return false;
    }
    if (!Xdbmigrate_InstallUtils::installDataAutomatically($this->_mXoopsModule, $this->mLog)) {
        return false;
    }    
    return true;
  }
  
}